package com.xxl.job.executor.common.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xxl.job.executor.common.entity.MaterialCutFrame;

import java.io.IOException;
import java.util.List;

/**
 * 截屏
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-12-25
 */
public interface IMaterialCutFrameService extends IService<MaterialCutFrame> {

    List<MaterialCutFrame> getListByVideoSignature(String signature);

    void getCosCutFrame(String url, String materialId) throws IOException;  //腾讯云抽帧

    void loadCosCutFrame(String jobId, String videoSignature);  //腾讯云抽帧任务状态查询以及数据入库

    void getTencentCutFrame(String videoUrl, String materialId, String coveUrl);

    boolean updateTencentCutFrame(String videoMD5);

    MaterialCutFrame getCutFrameByCode(String code);

    List<JSONObject> getProgramCreativeCover(String signature);
}
